[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListStrings.Put

Sets the value for the indexed Strings property.

## Declaration

Source position: valedit.pas line 91

`protected procedure TValueListStrings.Put(`
`Index: Integer;`
`const S: string`
`); override;`

## Arguments

`Index` |  | Ordinal position for the value.
`S` |  | Value to store at the specified position.

## Description

Put is a procedure used to store a value at the specified ordinal position. Put ensures that the TValueListEditor which owns the class instance hides a visible cell editor at the specified ordinal position. Put calls the inherited method to store the value in S at the position in Index. A visible cell editor in TValueListEditor is restored when needed.

## See also

TStrings.Strings
TStringList